Skip to main content
https://.thoughtindustries.com

Extract

List productPurchase

List productPurchase

GEThttps://example.thoughtindustries.com/incoming/v2/events/productPurchase

Returns a paginated list of productPurchase events. Emitted when a learner purchases a product.

Example request

curl "https://example.thoughtindustries.com/incoming/v2/events/productPurchase" \
  -H 'Authorization: Bearer YOUR_API_KEY'

Parameters

NameTypeRequiredLocationDescription
kindstringNoqueryFilters results to a specific event kind.
cursorstringNoqueryOpaque cursor string used to fetch the next page of results.
startDateISO 8601 timestampNoqueryReturns only events occurring at or after this ISO 8601 timestamp.
endDateISO 8601 timestampNoqueryReturns only events occurring at or before this ISO 8601 timestamp.
notifiableIduuidNoqueryFilters results to events associated with the specified notifiable resource UUID.
userIduuidNoqueryFilters results to events associated with the specified user UUID.

Example response

{
  "data": {
    "APIEvents": {
      "pageInfo": {
        "perPage": 0,
        "cursor": "string",
        "total": 0,
        "hasMore": true
      },
      "events": [
        {}
      ]
    }
  }
}

Response fields

FieldTypeDescription
pageInfoCursorPageInfoPagination metadata for the current result set.
pageInfo.perPageintegerNumber of events returned per page.
pageInfo.cursorstringOpaque cursor to pass in the next request to retrieve the following page.
pageInfo.totalintegerTotal number of events matching the query.
pageInfo.hasMorebooleanIndicates whether additional pages of results are available.
eventsobject[]Array of productPurchase event objects matching the query.